Muon Package Manager offers to purge not installed software

Bug #836967 reported by šumski on 2011-08-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
muon (Ubuntu)
Undecided
Unassigned

Bug Description

Right clicking on a not installed package show options to install and purge a package. Upstream or not? :)

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: muon 1.2.0-0ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-9.14-generic 3.0.3
Uname: Linux 3.0.0-9-generic x86_64
NonfreeKernelModules: fglrx
Architecture: amd64
Date: Mon Aug 29 21:51:36 2011
InstallationMedia: Kubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427)
ProcEnviron:
 LANGUAGE=hr_HR
 PATH=(custom, no user)
 LANG=hr_HR.UTF-8
 LC_MESSAGES=hr_HR.UTF-8
 SHELL=/usr/bin/zsh
SourcePackage: muon
UpgradeStatus: Upgraded to oneiric on 2011-08-23 (6 days ago)

Related branches

Git commit a121214555ae5340282ea8a31683ee31bb2774da by Jonathan Thomas.
Committed on 30/08/2011 at 02:02.
Pushed by jmthomas into branch 'master'.

If a package is not installed, only enable the purge action when the uninstalled packages
also has residual configuration files.

CCMAIL:<email address hidden>

M +1 -0 libmuon/PackageModel/PackageWidget.cpp

http://commits.kde.org/muon/a121214555ae5340282ea8a31683ee31bb2774da

diff --git a/libmuon/PackageModel/PackageWidget.cpp b/libmuon/PackageModel/PackageWidget.cpp
index c49783a..b97859f 100644
--- a/libmuon/PackageModel/PackageWidget.cpp
+++ b/libmuon/PackageModel/PackageWidget.cpp
@@ -316,6 +316,7 @@ void PackageWidget::contextMenuRequested(const QPoint &pos)
             m_reinstallAction->setEnabled(false);
             m_keepAction->setEnabled(false);
         } else {
+ m_purgeAction->setEnabled(false);
             m_installAction->setEnabled(true);
             m_removeAction->setEnabled(false);
             m_upgradeAction->setEnabled(false);

summary: - Muon software center offers to purge not installed software
+ Muon Package Manager offers to purge not installed software

Git commit b93f4d9ef60573d51bc8fccb909dba46cb477052 by Jonathan Thomas.
Committed on 30/08/2011 at 02:02.
Pushed by jmthomas into branch '1.2'.

If a package is not installed, only enable the purge action when the uninstalled packages
also has residual configuration files.

CCMAIL:<email address hidden>

M +1 -0 libmuon/PackageModel/PackageWidget.cpp

http://commits.kde.org/muon/b93f4d9ef60573d51bc8fccb909dba46cb477052

diff --git a/libmuon/PackageModel/PackageWidget.cpp b/libmuon/PackageModel/PackageWidget.cpp
index 5ee6e9b..054f168 100644
--- a/libmuon/PackageModel/PackageWidget.cpp
+++ b/libmuon/PackageModel/PackageWidget.cpp
@@ -317,6 +317,7 @@ void PackageWidget::contextMenuRequested(const QPoint &pos)
             m_reinstallAction->setEnabled(false);
             m_keepAction->setEnabled(false);
         } else {
+ m_purgeAction->setEnabled(false);
             m_installAction->setEnabled(true);
             m_removeAction->setEnabled(false);
             m_upgradeAction->setEnabled(false);

Jonathan Thomas (echidnaman) wrote :

Fix committed upstream for Muon Suite 1.2.1, due in two weeks.

Changed in muon (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package muon - 1.2.1-0ubuntu1

---------------
muon (1.2.1-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release (LP: #837389, #841323, #836967, #838961)
 -- Jonathan Thomas <email address hidden> Sun, 18 Sep 2011 13:34:06 -0400

Changed in muon (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers